Skip to main content
GET
/
api
/
v1
/
staking
/
orders
/
{id}
Get staking order detail
curl --request GET \
  --url https://api.example.com/api/v1/staking/orders/{id}
{
  "code": 0,
  "msg": "ok",
  "data": {
    "orderId": "stk_20260511_0001",
    "productId": "base_usdc_nexfi_vault",
    "walletAddress": "0xabc1230000000000000000000000000000000000",
    "orderType": "subscribe",
    "status": "confirmed",
    "txHash": "0x123",
    "updatedAt": "2026-05-11T10:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Platform order ID.

Example:

"stk_20260511_0001"

Response

200 - application/json

Order detail response

Standard response envelope.

code
integer
required

Business status code. 0 means success.

Example:

0

msg
string
required

Human-readable response message.

Example:

"ok"

data
object

Staking order detail item.